Bug 524430 - kernel: BUG: Bad page map in process pulseaudio (2.6.30.5-43.fc11.x86_64)
Summary: kernel: BUG: Bad page map in process pulseaudio (2.6.30.5-43.fc11.x86_64)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 05:34 UTC by djh
Modified: 2010-06-28 14:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:44:33 UTC


Attachments (Terms of Use)
syslog (5.22 KB, text/plain)
2009-09-20 05:36 UTC, djh
no flags Details
lspci -v (Intel G31 chipset) (6.58 KB, text/plain)
2009-09-20 05:39 UTC, djh
no flags Details

Description djh 2009-09-20 05:34:41 UTC
2.6.30.5-43.fc11.x86_64

kernel: BUG: Bad page map in process pulseaudio  pte:80000004b12f1025 pmd:43cdb067
kernel: addr:00007fe9840ef000 vm_flags:080000d1 anon_vma:(null) mapping:ffff880053b0cb60 index:f0
kernel: vma->vm_ops->fault: shmem_fault+0x0/0x86
kernel: vma->vm_file->f_op->mmap: shmem_mmap+0x0/0x63
kernel: Pid: 2096, comm: pulseaudio Not tainted 2.6.30.5-43.fc11.x86_64 #1
kernel: Call Trace:
kernel: [<ffffffff810ea9fc>] print_bad_pte+0x242/0x26f
kernel: [<ffffffff810eaa80>] vm_normal_page+0x57/0x82
kernel: [<ffffffff810eb969>] unmap_vmas+0x473/0x83a
kernel: [<ffffffff810e3433>] ? shmem_truncate_range+0x6aa/0x714
kernel: [<ffffffff810f088c>] unmap_region+0xd0/0x12e
kernel: [<ffffffff810f1fa2>] do_munmap+0x2bd/0x33b
kernel: [<ffffffff810f2079>] sys_munmap+0x59/0x88
kernel: [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
kernel: Disabling lock debugging due to kernel taint
kernel: ------------[ cut here ]------------
...
(full log + lspci attached)


Happened after about 2 days of uptime when switching workspaces in X - clicked onto rhythmbox and it died.

Comment 1 djh 2009-09-20 05:36:50 UTC
Created attachment 361802 [details]
syslog

Comment 2 djh 2009-09-20 05:39:20 UTC
Created attachment 361803 [details]
lspci -v  (Intel G31 chipset)

Comment 3 djh 2009-09-20 11:32:23 UTC
Here's another one...

kernel: BUG: Bad page map in process bash  pte:811e31e025 pmd:bd5d1067
kernel: addr:00000032ccc2e000 vm_flags:08000075 anon_vma:(null) mapping:ffff88011f546708 index:2e
kernel: vma->vm_ops->fault: filemap_fault+0x0/0x34d
kernel: vma->vm_file->f_op->mmap: generic_file_mmap+0x0/0x6c
kernel: Pid: 3019, comm: bash Not tainted 2.6.30.5-43.fc11.x86_64 #1
kernel: Call Trace:
kernel: [<ffffffff810ea9fc>] print_bad_pte+0x242/0x26f
kernel: [<ffffffff81110aba>] ? __mem_cgroup_uncharge_common+0x133/0x171
kernel: [<ffffffff810eaa80>] vm_normal_page+0x57/0x82
kernel: [<ffffffff810eb969>] unmap_vmas+0x473/0x83a
kernel: [<ffffffff81223dc8>] ? cpumask_any_but+0x3c/0x5f
kernel: [<ffffffff810f0a79>] exit_mmap+0xdb/0x143
kernel: [<ffffffff81054836>] mmput+0x5a/0xc6
kernel: [<ffffffff8105944d>] exit_mm+0x113/0x134
kernel: [<ffffffff8105b284>] do_exit+0x1dd/0x6f8
kernel: [<ffffffff81074cdf>] ? up_read+0x21/0x37
kernel: [<ffffffff8105b835>] do_group_exit+0x96/0xc6
kernel: [<ffffffff8105b88f>] sys_exit_group+0x2a/0x42
kernel: [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
kernel: Disabling lock debugging due to kernel taint


This machine has been running headless with no issues for about 3 months.  These kernel bugs have only started occurring since i started using X on it this week.  (onboard Intel video)

Comment 4 Bug Zapper 2010-04-28 10:29:08 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:44:33 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.